Bug 1392359 - [abrt] qemu-img: strrchr(): qemu-img killed by SIGSEGV: TAINTED
Summary: [abrt] qemu-img: strrchr(): qemu-img killed by SIGSEGV: TAINTED
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Ping Li
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19eca6ee1558e2b40b3f7f59ad8...
Keywords:
Depends On: 1392298
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-07 10:10 UTC by Kevin Wolf
Modified: 2017-04-25 09:14 UTC (History)
11 users (show)

(edit)
Clone Of: 1392298
(edit)
Last Closed: 2017-04-25 09:14:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Kevin Wolf 2016-11-07 10:10:21 UTC
This affects qemu-kvm-rhev in 7.3 as well.


+++ This bug was initially created as a clone of Bug #1392298 +++

Description of problem:
Command `qemu info nfs://localhost`

Version-Release number of selected component:
qemu-img-2.7.0-7.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        qemu-img info nfs://localhost
crash_function: strrchr
executable:     /usr/bin/qemu-img
global_pid:     30089
kernel:         4.9.0-0.rc3.git1.1.fc26.x86_64
pkg_fingerprint: 812A 6B4B 64DA B85D
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strrchr at ../sysdeps/x86_64/strrchr.S:32
 #1 nfs_client_open at /usr/src/debug/qemu-2.7.0/block/nfs.c:300
 #2 nfs_file_open at /usr/src/debug/qemu-2.7.0/block/nfs.c:447
 #3 bdrv_open_common at /usr/src/debug/qemu-2.7.0/block.c:984
 #4 bdrv_open_inherit at /usr/src/debug/qemu-2.7.0/block.c:1687
 #5 bdrv_open_child at /usr/src/debug/qemu-2.7.0/block.c:1449
 #6 bdrv_open_inherit at /usr/src/debug/qemu-2.7.0/block.c:1648
 #7 bdrv_open at /usr/src/debug/qemu-2.7.0/block.c:1778
 #8 blk_new_open at /usr/src/debug/qemu-2.7.0/block/block-backend.c:160
 #9 img_open_file at /usr/src/debug/qemu-2.7.0/qemu-img.c:296


--- Additional comment from Kevin Wolf on 2016-11-07 11:00:36 CET ---

Fixed with upstream commits 94d6a7a7 and aa2623d8. The first one does the actual
fix (by rewriting the code), but it doesn't build without the second commit.

Resetting the assignee as I can't change Fedora packages.

Comment 3 Kevin Wolf 2017-04-25 09:14:36 UTC
Ping Li pointed out that we don't even compile in the NFS driver in RHEL, so this
bug report is obviously invalid here. It is valid only for Fedora. Sorry for the
noise.

(But I did check that it is indeed fixed in our source tree, so even if we
decide to enable the driver one day, we're okay.)


Note You need to log in before you can comment on or make changes to this bug.